<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class SyncActionData extends \Google\Protobuf\Internal\Message
{
    


    protected $index = null;
    


    protected $value = null;
    


    protected $padding = null;
    


    protected $version = null;

    











    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getIndex()
    {
        return isset($this->index) ? $this->index : '';
    }

    public function hasIndex()
    {
        return isset($this->index);
    }

    public function clearIndex()
    {
        unset($this->index);
    }

    




    public function setIndex($var)
    {
        GPBUtil::checkString($var, False);
        $this->index = $var;

        return $this;
    }

    



    public function getValue()
    {
        return $this->value;
    }

    public function hasValue()
    {
        return isset($this->value);
    }

    public function clearValue()
    {
        unset($this->value);
    }

    




    public function setValue($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\SyncActionValue::class);
        $this->value = $var;

        return $this;
    }

    



    public function getPadding()
    {
        return isset($this->padding) ? $this->padding : '';
    }

    public function hasPadding()
    {
        return isset($this->padding);
    }

    public function clearPadding()
    {
        unset($this->padding);
    }

    




    public function setPadding($var)
    {
        GPBUtil::checkString($var, False);
        $this->padding = $var;

        return $this;
    }

    



    public function getVersion()
    {
        return isset($this->version) ? $this->version : 0;
    }

    public function hasVersion()
    {
        return isset($this->version);
    }

    public function clearVersion()
    {
        unset($this->version);
    }

    




    public function setVersion($var)
    {
        GPBUtil::checkInt32($var);
        $this->version = $var;

        return $this;
    }

}

